%define languageenglazy Maltese
%define languagecode    mt
%define lc_ctype        mt_MT

%define upstream_version 20020708

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 7
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://linux.org.mt/node/62
Source0:        http://linux.org.mt/downloads/spellcheck-mt-0.3.tar.gz

BuildRequires:  hunspell-devel
BuildRequires:  hunspell

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-mt
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
export LANG=mt_MT.utf8
iconv -f ISO-8859-3 -t UTF-8 words.iso8859-3 > maltese.words
wordlist2hunspell maltese.words mt_MT

%install
install -D -m 0644 -p mt_MT.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p mt_MT.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc readme.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Tue Mar 20 2012 kamil <kamil> 0.20020708.1-7.mga2
+ Revision: 224766
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.20020708.1-6.mga2
+ Revision: 209211
- adapt .spec to the current policies

* Wed Feb 15 2012 dmorgan <dmorgan> 0.20020708.1-5.mga2
+ Revision: 209194
- imported package hunspell-mt

